<testsuites>
  <!--Report is generated by Rally 3.0.0 at 2021-02-09T12:05:01.687176-->
  <testsuite errors="0" failures="0" id="c79560ca-cf7c-47eb-b0eb-9d501adc8469" skipped="0" tests="6" time="47.00" timestamp="2021-02-09T10:26:59">
    <testcase classname="Authenticate" id="343a1752-0483-4fb8-9032-919d6e86d46b" name="keystone" time="5.37" timestamp="2021-02-09T10:27:03" />
    <testcase classname="Authenticate" id="0aeecac2-7740-445a-bd08-be747d3d8ec5" name="validate_cinder" time="7.85" timestamp="2021-02-09T10:27:09" />
    <testcase classname="Authenticate" id="4effa723-cbe6-47a3-989f-0e07cd83991b" name="validate_glance" time="6.61" timestamp="2021-02-09T10:27:17" />
    <testcase classname="Authenticate" id="9e7e7d47-3079-436b-ad6a-b9e201bb8a62" name="validate_heat" time="5.42" timestamp="2021-02-09T10:27:26" />
    <testcase classname="Authenticate" id="9acee8f4-6abf-4bdd-bc58-c34b789acc03" name="validate_neutron" time="6.57" timestamp="2021-02-09T10:27:32" />
    <testcase classname="Authenticate" id="73a0b05f-0f10-4997-9af8-0e3ea37d3faa" name="validate_nova" time="4.98" timestamp="2021-02-09T10:27:40" />
  </testsuite>
  <testsuite errors="0" failures="0" id="ba2bee97-352b-4deb-a995-deb0f5b1724d" skipped="0" tests="8" time="455.00" timestamp="2021-02-09T10:27:57">
    <testcase classname="GlanceImages" id="e9926220-4135-490c-bb73-d8370e2e4908" name="create_and_delete_image" time="17.94" timestamp="2021-02-09T10:28:08" />
    <testcase classname="GlanceImages" id="4f70795a-c36c-4bf0-a443-ced365075ced" name="create_and_list_image" time="20.82" timestamp="2021-02-09T10:28:27" />
    <testcase classname="GlanceImages" id="4aebedff-7d49-46d2-b0b0-cfcb833f3293" name="list_images" time="12.58" timestamp="2021-02-09T10:28:49" />
    <testcase classname="GlanceImages" id="35e2a997-4a73-4a91-8ec0-dc07c1847a6e" name="create_image_and_boot_instances" time="302.31" timestamp="2021-02-09T10:29:03" />
    <testcase classname="GlanceImages" id="ae3b5244-e931-4dfb-b719-65b888676d7a" name="create_and_deactivate_image" time="22.13" timestamp="2021-02-09T10:34:07" />
    <testcase classname="GlanceImages" id="e134aae2-d1c1-44b3-bcae-42d16d5ec208" name="create_and_download_image" time="24.56" timestamp="2021-02-09T10:34:29" />
    <testcase classname="GlanceImages" id="d259d516-c78d-47fa-b5ca-8f7bacb3df49" name="create_and_get_image" time="16.44" timestamp="2021-02-09T10:34:55" />
    <testcase classname="GlanceImages" id="70c9c70d-b992-4c14-8af2-62a1bcb6436c" name="create_and_update_image" time="17.77" timestamp="2021-02-09T10:35:14" />
  </testsuite>
  <testsuite errors="0" failures="0" id="91bdd661-6f0a-4491-b323-e3328aab5e06" skipped="0" tests="24" time="909.00" timestamp="2021-02-09T10:35:44">
    <testcase classname="CinderVolumes" id="749c15a1-4e33-41cf-aef6-17b0156e21f4" name="create_and_attach_volume" time="163.63" timestamp="2021-02-09T10:35:53" />
    <testcase classname="CinderVolumes" id="7703ccbb-f1d9-4771-8cdc-12cd8c2960d9" name="create_and_list_snapshots" time="29.49" timestamp="2021-02-09T10:38:38" />
    <testcase classname="CinderVolumes" id="e7c8f945-af66-42cd-b8a2-7e8d580099d5" name="create_and_list_volume" time="31.03" timestamp="2021-02-09T10:39:08" />
    <testcase classname="CinderVolumes" id="d52b568b-3100-4256-8924-88808cde4588" name="create_and_list_volume" time="20.29" timestamp="2021-02-09T10:39:40" />
    <testcase classname="CinderVolumes" id="181916c1-0c47-4853-99b5-f95a96629e13" name="create_and_upload_volume_to_image" time="70.87" timestamp="2021-02-09T10:40:03" />
    <testcase classname="CinderVolumes" id="fdda5419-3e0c-49ba-879f-bf827a0e2fd1" name="create_nested_snapshots_and_attach_volume" time="108.47" timestamp="2021-02-09T10:41:15" />
    <testcase classname="CinderVolumes" id="f4e0c830-ba47-4c2d-ab54-3accdd8b54ca" name="create_snapshot_and_attach_volume" time="116.76" timestamp="2021-02-09T10:43:04" />
    <testcase classname="CinderVolumes" id="14f7c004-cbe7-4df3-bad6-9be6f2d03569" name="create_volume" time="16.97" timestamp="2021-02-09T10:45:03" />
    <testcase classname="CinderVolumes" id="356bb6ff-ce36-43e7-a986-37ddac37dbf4" name="create_volume" time="17.65" timestamp="2021-02-09T10:45:21" />
    <testcase classname="CinderVolumes" id="c9617a8e-5a71-484f-93fb-527ab81797e1" name="list_volumes" time="40.30" timestamp="2021-02-09T10:45:39" />
    <testcase classname="CinderVolumes" id="89482bfd-196a-4961-b5b4-9141629bc11f" name="create_and_delete_snapshot" time="34.10" timestamp="2021-02-09T10:46:21" />
    <testcase classname="CinderVolumes" id="16a92185-8e8e-4f2c-a40e-a82d44e8c017" name="create_and_delete_volume" time="24.88" timestamp="2021-02-09T10:46:56" />
    <testcase classname="CinderVolumes" id="c2ecd4b0-c40b-4a29-a692-cc86594f80fc" name="create_and_delete_volume" time="31.40" timestamp="2021-02-09T10:47:22" />
    <testcase classname="CinderVolumes" id="2f22e963-503a-4831-acc5-683b6a2fec4e" name="create_and_delete_volume" time="21.24" timestamp="2021-02-09T10:47:54" />
    <testcase classname="CinderVolumes" id="46d8d6c7-7b66-4d90-aad9-702b845fa749" name="create_and_extend_volume" time="30.93" timestamp="2021-02-09T10:48:16" />
    <testcase classname="CinderVolumes" id="db69a08e-1e0a-4bd3-b803-ffb4260aaa27" name="create_from_volume_and_delete_volume" time="47.85" timestamp="2021-02-09T10:48:49" />
    <testcase classname="CinderQos" id="f3429060-74df-4bb9-b830-3927ae3b7f19" name="create_and_get_qos" time="9.42" timestamp="2021-02-09T10:49:37" />
    <testcase classname="CinderQos" id="203d2a0d-d2b7-4b87-b7b2-83cf057508f2" name="create_and_list_qos" time="7.72" timestamp="2021-02-09T10:49:47" />
    <testcase classname="CinderQos" id="aa4d775d-7429-415f-a43a-e0f0a5cf743c" name="create_and_set_qos" time="7.55" timestamp="2021-02-09T10:49:56" />
    <testcase classname="CinderVolumeTypes" id="245c9b92-32a1-4c39-b16d-0fac7ae24b01" name="create_and_get_volume_type" time="8.76" timestamp="2021-02-09T10:50:04" />
    <testcase classname="CinderVolumeTypes" id="4580db8e-1953-41f1-8866-54f253e6067b" name="create_and_list_volume_types" time="7.76" timestamp="2021-02-09T10:50:14" />
    <testcase classname="CinderVolumeTypes" id="6e8a37fd-97f0-4411-bcf2-207fe5493808" name="create_and_update_volume_type" time="8.71" timestamp="2021-02-09T10:50:22" />
    <testcase classname="CinderVolumeTypes" id="cf77fc1b-be09-43c8-8b87-d0ad5cb2586c" name="create_volume_type_and_encryption_type" time="9.21" timestamp="2021-02-09T10:50:32" />
    <testcase classname="CinderVolumeTypes" id="c73d4208-8bd2-42ef-9875-3b03ba4a9523" name="create_volume_type_add_and_list_type_access" time="9.88" timestamp="2021-02-09T10:50:43" />
  </testsuite>
  <testsuite errors="0" failures="0" id="d79e2e6e-fd7b-4eec-b6fa-e1b3094f5334" skipped="0" tests="16" time="128.00" timestamp="2021-02-09T10:51:04">
    <testcase classname="Gnocchi" id="c4485160-f135-4176-a0c9-d23f3c750a0a" name="list_capabilities" time="4.85" timestamp="2021-02-09T10:51:09" />
    <testcase classname="Gnocchi" id="c3535bf8-2759-45db-b655-ebf56ee2e4e2" name="get_status" time="10.17" timestamp="2021-02-09T10:51:15" />
    <testcase classname="GnocchiArchivePolicyRule" id="0422629c-1c12-4a1f-97e4-6db564b040e0" name="list_archive_policy_rule" time="5.61" timestamp="2021-02-09T10:51:28" />
    <testcase classname="GnocchiArchivePolicyRule" id="cd6477c6-635e-45b1-a78d-590325fab7f0" name="create_archive_policy_rule" time="7.22" timestamp="2021-02-09T10:51:34" />
    <testcase classname="GnocchiArchivePolicyRule" id="0810bd6b-a1a2-4f9a-b65e-d7c98aac134c" name="create_delete_archive_policy_rule" time="5.85" timestamp="2021-02-09T10:51:42" />
    <testcase classname="GnocchiArchivePolicy" id="f3a585b6-34eb-4e0a-be4c-d8e9bf8bc1b0" name="list_archive_policy" time="4.64" timestamp="2021-02-09T10:51:48" />
    <testcase classname="GnocchiArchivePolicy" id="c606064b-fff0-4085-87da-48cc85cb0b59" name="create_archive_policy" time="7.11" timestamp="2021-02-09T10:51:54" />
    <testcase classname="GnocchiArchivePolicy" id="c31c8541-0e41-4c3b-b546-ee655d2b01be" name="create_delete_archive_policy" time="5.95" timestamp="2021-02-09T10:52:02" />
    <testcase classname="GnocchiResourceType" id="844054e0-2771-45d3-b56b-b336990bf09b" name="list_resource_type" time="4.73" timestamp="2021-02-09T10:52:09" />
    <testcase classname="GnocchiResourceType" id="1de1b691-25ca-4602-994b-37ee1419f605" name="create_resource_type" time="10.78" timestamp="2021-02-09T10:52:15" />
    <testcase classname="GnocchiResourceType" id="ee76704b-1500-4144-ad26-307e8c68a602" name="create_delete_resource_type" time="9.48" timestamp="2021-02-09T10:52:27" />
    <testcase classname="GnocchiMetric" id="58903fd0-5896-4506-8098-f6cf45c13659" name="list_metric" time="5.77" timestamp="2021-02-09T10:52:37" />
    <testcase classname="GnocchiMetric" id="59a451c8-078c-4633-9f80-19cbab23d1cb" name="create_metric" time="5.27" timestamp="2021-02-09T10:52:44" />
    <testcase classname="GnocchiMetric" id="9d6f290e-cdee-4a72-a9c1-d199f5c8b2af" name="create_delete_metric" time="5.40" timestamp="2021-02-09T10:52:50" />
    <testcase classname="GnocchiResource" id="9509b21c-3a5b-4b6a-a6c7-d7ee26f06870" name="create_resource" time="7.11" timestamp="2021-02-09T10:52:56" />
    <testcase classname="GnocchiResource" id="122e765c-ef3d-4446-a964-84102c4f2279" name="create_delete_resource" time="6.22" timestamp="2021-02-09T10:53:04" />
  </testsuite>
  <testsuite errors="0" failures="0" id="bf390edb-f8bd-458c-a160-7eddbb9b9f94" skipped="0" tests="13" time="535.00" timestamp="2021-02-09T10:53:23">
    <testcase classname="HeatStacks" id="01ad1a85-4008-46bd-a12f-5a2d27df5ff9" name="create_and_delete_stack" time="17.73" timestamp="2021-02-09T10:53:39" />
    <testcase classname="HeatStacks" id="9b04e724-2060-48df-8c67-f07c619e9afd" name="create_and_delete_stack" time="111.75" timestamp="2021-02-09T10:53:58" />
    <testcase classname="HeatStacks" id="96b1e527-60d9-4465-8f22-fe50d9528059" name="create_and_delete_stack" time="88.44" timestamp="2021-02-09T10:55:50" />
    <testcase classname="HeatStacks" id="d78ac105-4707-4a9f-92f4-afb095cf5bae" name="create_and_list_stack" time="20.33" timestamp="2021-02-09T10:57:21" />
    <testcase classname="HeatStacks" id="2e74036e-53f4-4540-b755-5fcc10b47adf" name="create_update_delete_stack" time="35.75" timestamp="2021-02-09T10:57:43" />
    <testcase classname="HeatStacks" id="3b4ee1c3-785a-487d-abef-1220724e4f94" name="create_update_delete_stack" time="27.97" timestamp="2021-02-09T10:58:19" />
    <testcase classname="HeatStacks" id="1d99afe7-68ee-4fb3-8fb4-04d9e3b92ba5" name="create_update_delete_stack" time="44.55" timestamp="2021-02-09T10:58:48" />
    <testcase classname="HeatStacks" id="92b36b9b-9a51-410e-a688-db2de4cd6ac5" name="create_update_delete_stack" time="31.84" timestamp="2021-02-09T10:59:34" />
    <testcase classname="HeatStacks" id="cc5c901b-423a-4329-a20d-5a9339c8e41c" name="create_update_delete_stack" time="36.15" timestamp="2021-02-09T11:00:06" />
    <testcase classname="HeatStacks" id="5b2af49b-1462-4ffe-a7ef-4d533fffd834" name="create_update_delete_stack" time="29.95" timestamp="2021-02-09T11:00:43" />
    <testcase classname="HeatStacks" id="5ed67e2d-95a3-42ae-8b9d-e04fb75cf7b6" name="create_check_delete_stack" time="25.15" timestamp="2021-02-09T11:01:13" />
    <testcase classname="HeatStacks" id="17dc89f8-a1fb-43bb-b8ba-377abeece627" name="create_suspend_resume_delete_stack" time="30.01" timestamp="2021-02-09T11:01:39" />
    <testcase classname="HeatStacks" id="7b4c992d-dfc4-41c1-931a-c711c5e50667" name="list_stacks_and_resources" time="8.12" timestamp="2021-02-09T11:02:10" />
  </testsuite>
  <testsuite errors="0" failures="0" id="6a199507-35de-4ba8-af53-0acb1bd6e1eb" skipped="0" tests="11" time="144.00" timestamp="2021-02-09T11:02:28">
    <testcase classname="KeystoneBasic" id="ec984a18-8753-4ae9-bd5f-5b5daed7218c" name="add_and_remove_user_role" time="10.21" timestamp="2021-02-09T11:02:31" />
    <testcase classname="KeystoneBasic" id="f8ba9073-a81d-49b2-941d-ca8dce4fd75a" name="create_add_and_list_user_roles" time="10.68" timestamp="2021-02-09T11:02:44" />
    <testcase classname="KeystoneBasic" id="a099ff0f-238d-4c3c-9a9c-a4343be72582" name="create_and_list_tenants" time="11.13" timestamp="2021-02-09T11:02:56" />
    <testcase classname="KeystoneBasic" id="fb8726e7-cee3-413e-aae0-ceafcdcabff3" name="create_and_delete_role" time="7.49" timestamp="2021-02-09T11:03:08" />
    <testcase classname="KeystoneBasic" id="fd651069-c0dc-4b30-b8d6-2c72a65b0423" name="create_and_delete_service" time="7.31" timestamp="2021-02-09T11:03:16" />
    <testcase classname="KeystoneBasic" id="52f80ce1-b5ab-45c9-b660-71b3682e470a" name="get_entities" time="16.54" timestamp="2021-02-09T11:03:24" />
    <testcase classname="KeystoneBasic" id="3df800ca-1a39-4c98-9b8a-fc51845afc0f" name="create_update_and_delete_tenant" time="9.72" timestamp="2021-02-09T11:03:43" />
    <testcase classname="KeystoneBasic" id="72df55e8-8c44-4918-ac58-eebcbe9c6e5d" name="create_user" time="7.96" timestamp="2021-02-09T11:03:53" />
    <testcase classname="KeystoneBasic" id="fbde5e14-6381-445c-9d5a-e89856b7bd0c" name="create_tenant" time="7.55" timestamp="2021-02-09T11:04:01" />
    <testcase classname="KeystoneBasic" id="45755bae-c7d0-4cf1-8273-1f3ec5dbc897" name="create_and_list_users" time="8.00" timestamp="2021-02-09T11:04:10" />
    <testcase classname="KeystoneBasic" id="da64254d-46cf-4dff-8fd2-f6ed4a820983" name="create_tenant_with_users" time="33.41" timestamp="2021-02-09T11:04:18" />
  </testsuite>
  <testsuite errors="0" failures="0" id="9d519d22-6417-4250-8868-938609014c76" skipped="0" tests="20" time="661.00" timestamp="2021-02-09T11:05:02">
    <testcase classname="NeutronNetworks" id="831e4841-ae56-45ef-a18d-79e5f8e152ac" name="create_and_update_networks" time="22.60" timestamp="2021-02-09T11:05:07" />
    <testcase classname="NeutronNetworks" id="1600a4c8-1d55-43e3-899a-2f445d80e14b" name="create_and_update_ports" time="30.28" timestamp="2021-02-09T11:05:31" />
    <testcase classname="NeutronNetworks" id="39ce79c1-b52e-45d9-a79b-6cefe0bdaa17" name="create_and_update_routers" time="59.97" timestamp="2021-02-09T11:06:03" />
    <testcase classname="NeutronNetworks" id="a0158522-3f5b-487e-a64b-3516e2f73af5" name="create_and_update_subnets" time="28.14" timestamp="2021-02-09T11:07:04" />
    <testcase classname="NeutronNetworks" id="7947433a-7e73-4e95-aef3-ec0f1fc8d302" name="create_and_delete_networks" time="16.07" timestamp="2021-02-09T11:07:32" />
    <testcase classname="NeutronNetworks" id="8185eb72-d5aa-4f99-9a0a-533972b914b0" name="create_and_delete_ports" time="24.68" timestamp="2021-02-09T11:07:48" />
    <testcase classname="NeutronNetworks" id="d8c2dcbe-7daa-4284-8e18-8d654052706a" name="create_and_delete_routers" time="42.53" timestamp="2021-02-09T11:08:15" />
    <testcase classname="NeutronNetworks" id="bd0024f3-cebf-45a3-a014-bc3dbe417bdd" name="create_and_delete_subnets" time="25.01" timestamp="2021-02-09T11:08:59" />
    <testcase classname="NeutronNetworks" id="bf64d02f-a24f-40f7-99d6-8dd81893622e" name="create_and_list_networks" time="18.45" timestamp="2021-02-09T11:09:25" />
    <testcase classname="NeutronNetworks" id="f95c87da-2aa1-4e49-833b-c70259107e4d" name="create_and_list_ports" time="29.08" timestamp="2021-02-09T11:09:45" />
    <testcase classname="NeutronNetworks" id="37c6f9b0-5d16-4bd9-94e2-feded4495fea" name="create_and_list_routers" time="56.43" timestamp="2021-02-09T11:10:16" />
    <testcase classname="NeutronNetworks" id="ca59174b-f12a-4a64-bc3d-10d3624ad4ff" name="create_and_list_subnets" time="27.30" timestamp="2021-02-09T11:11:14" />
    <testcase classname="NeutronSecurityGroup" id="7ac18206-9833-40ff-badf-41784a108624" name="create_and_delete_security_groups" time="11.98" timestamp="2021-02-09T11:11:42" />
    <testcase classname="NeutronSecurityGroup" id="c37e36ab-ff33-48a2-9ad0-3f237e8f3c26" name="create_and_delete_security_group_rule" time="14.57" timestamp="2021-02-09T11:11:55" />
    <testcase classname="NeutronSecurityGroup" id="64e6c570-09ce-4b79-a38b-fa878a0ea6ca" name="create_and_list_security_group_rules" time="14.72" timestamp="2021-02-09T11:12:11" />
    <testcase classname="NeutronSecurityGroup" id="9f71b9c7-a353-4ce4-9581-0a3c4723c864" name="create_and_show_security_group" time="15.75" timestamp="2021-02-09T11:12:27" />
    <testcase classname="NeutronNetworks" id="b1676182-219f-4f5f-acb7-4fd8ae4c21fd" name="set_and_clear_router_gateway" time="36.63" timestamp="2021-02-09T11:12:43" />
    <testcase classname="NeutronNetworks" id="39023a36-d0e2-4177-84ec-3e0f6cc324da" name="create_and_show_ports" time="35.23" timestamp="2021-02-09T11:13:22" />
    <testcase classname="NeutronNetworks" id="5e4a55ac-aba1-49b9-9984-ab90c8bb1a01" name="create_and_show_routers" time="79.45" timestamp="2021-02-09T11:13:58" />
    <testcase classname="NeutronNetworks" id="b9baa7d7-6b4f-4210-a1cb-578f2fecd8bc" name="create_and_show_subnets" time="43.96" timestamp="2021-02-09T11:15:19" />
  </testsuite>
  <testsuite errors="0" failures="0" id="120637b9-fcd1-4bf3-9dfc-1ed529b350f1" skipped="0" tests="27" time="2688.00" timestamp="2021-02-09T11:16:14">
    <testcase classname="NovaKeypair" id="04419a17-9a97-45e8-b771-e55b150b10da" name="create_and_delete_keypair" time="8.68" timestamp="2021-02-09T11:16:33" />
    <testcase classname="NovaKeypair" id="59da95fc-57f2-409f-9849-7825a0eb615a" name="create_and_list_keypairs" time="9.63" timestamp="2021-02-09T11:16:43" />
    <testcase classname="NovaServers" id="eff33011-4cc7-4d60-9103-5304a2f74ef4" name="boot_and_bounce_server" time="510.07" timestamp="2021-02-09T11:16:53" />
    <testcase classname="NovaServers" id="680eb4d9-d8b1-4dde-abc6-ce37b54adf0b" name="boot_and_delete_server" time="54.39" timestamp="2021-02-09T11:25:24" />
    <testcase classname="NovaServers" id="881c239f-a249-4a08-8ae6-6e442aaf3505" name="boot_and_list_server" time="56.34" timestamp="2021-02-09T11:26:20" />
    <testcase classname="NovaServers" id="90d0a4d7-d9c0-4c59-868b-11f478fbda15" name="boot_and_rebuild_server" time="76.09" timestamp="2021-02-09T11:27:19" />
    <testcase classname="NovaServers" id="9c1e0ed3-4ee7-4112-a510-4ef1e3372be1" name="snapshot_server" time="215.87" timestamp="2021-02-09T11:28:35" />
    <testcase classname="NovaServers" id="21a5c644-48e7-4c70-beb4-b05730e1b620" name="boot_server_from_volume" time="70.58" timestamp="2021-02-09T11:32:12" />
    <testcase classname="NovaServers" id="35cf849a-7ebb-44a8-a40d-df17bf259f80" name="boot_server" time="53.16" timestamp="2021-02-09T11:33:25" />
    <testcase classname="NovaServers" id="c16e562f-7aa1-4f2f-8e96-ab329ce82896" name="list_servers" time="90.51" timestamp="2021-02-09T11:34:19" />
    <testcase classname="NovaServers" id="b7fa27ae-f353-4e72-b6fa-2171c9d2b4a9" name="resize_server" time="105.68" timestamp="2021-02-09T11:35:52" />
    <testcase classname="NovaServers" id="9afdec10-9324-4b1a-9b85-12bc889b10d8" name="boot_and_live_migrate_server" time="112.31" timestamp="2021-02-09T11:37:39" />
    <testcase classname="NovaServers" id="28bdd07f-5668-4321-b1fb-d8aac37c0fe0" name="boot_server_attach_created_volume_and_live_migrate" time="146.85" timestamp="2021-02-09T11:39:31" />
    <testcase classname="NovaServers" id="fd33e168-d834-48b1-8709-a511722de712" name="boot_server_from_volume_and_live_migrate" time="139.86" timestamp="2021-02-09T11:42:00" />
    <testcase classname="NovaKeypair" id="e72d5b6f-9910-4d0a-b985-07954c3610ba" name="boot_and_delete_server_with_keypair" time="54.10" timestamp="2021-02-09T11:44:21" />
    <testcase classname="NovaServers" id="4aa84494-c6f1-4ae4-a3de-7164ec25971c" name="boot_server_from_volume_and_delete" time="76.72" timestamp="2021-02-09T11:45:16" />
    <testcase classname="NovaServers" id="cbb0a8b4-3679-4400-a67a-576ee0c47363" name="pause_and_unpause_server" time="68.22" timestamp="2021-02-09T11:46:34" />
    <testcase classname="NovaServers" id="3a542d5e-2bd5-4677-bdee-c1aff27771c4" name="boot_and_migrate_server" time="97.60" timestamp="2021-02-09T11:47:43" />
    <testcase classname="NovaServers" id="177349a8-439d-4e1b-a1e9-cab268c166cb" name="boot_server_and_list_interfaces" time="96.37" timestamp="2021-02-09T11:49:21" />
    <testcase classname="NovaServers" id="1ae100fc-f023-46da-b008-dd450dfd8c0e" name="boot_and_get_console_url" time="88.70" timestamp="2021-02-09T11:50:58" />
    <testcase classname="NovaServers" id="dbdcdfed-222a-4d74-90c0-31558a6e2ecc" name="boot_server_and_attach_interface" time="126.92" timestamp="2021-02-09T11:52:28" />
    <testcase classname="NovaServers" id="9029968c-ab06-40b7-a58f-80ee8ee86ed3" name="boot_server_attach_volume_and_list_attachments" time="107.87" timestamp="2021-02-09T11:54:37" />
    <testcase classname="NovaServers" id="0ae77bf7-b426-4ad6-b9aa-54978c255a3c" name="boot_server_associate_and_dissociate_floating_ip" time="129.22" timestamp="2021-02-09T11:56:26" />
    <testcase classname="NovaServers" id="c31e10b2-af1f-433f-ada3-b5c49966d85c" name="boot_and_associate_floating_ip" time="115.94" timestamp="2021-02-09T11:58:37" />
    <testcase classname="NovaServerGroups" id="798d0dd0-2ef7-4d6b-9092-4817ae03cac4" name="create_and_delete_server_group" time="7.04" timestamp="2021-02-09T12:00:34" />
    <testcase classname="NovaServerGroups" id="98b92a28-720b-4e9a-8bc6-99cf2859da29" name="create_and_get_server_group" time="8.56" timestamp="2021-02-09T12:00:42" />
    <testcase classname="NovaServerGroups" id="76291acc-c1c0-47c8-9296-4d6d874d4506" name="create_and_list_server_groups" time="8.57" timestamp="2021-02-09T12:00:52" />
  </testsuite>
  <testsuite errors="0" failures="0" id="6090a843-642b-4080-bc20-7d33dfc83577" skipped="0" tests="4" time="34.00" timestamp="2021-02-09T12:01:13">
    <testcase classname="Quotas" id="3847193c-2b84-4223-a09f-9a72ce73f1dd" name="cinder_update_and_delete" time="7.21" timestamp="2021-02-09T12:01:17" />
    <testcase classname="Quotas" id="5ad6be2b-1d63-43e7-a253-973eb3994445" name="cinder_update" time="5.53" timestamp="2021-02-09T12:01:25" />
    <testcase classname="Quotas" id="f44c333b-de45-41fe-a5e6-7b36da077f0f" name="neutron_update" time="6.25" timestamp="2021-02-09T12:01:31" />
    <testcase classname="Quotas" id="e420ccf2-1ddd-4300-b820-14453392eb38" name="nova_update" time="6.88" timestamp="2021-02-09T12:01:39" />
  </testsuite>
  <testsuite errors="0" failures="0" id="6c4c8408-25f3-4faa-869c-d4fe5f3551c6" skipped="0" tests="5" time="79.00" timestamp="2021-02-09T12:01:57">
    <testcase classname="SwiftObjects" id="17373157-ef52-4edb-945a-66f4eab3da2b" name="create_container_and_object_then_list_objects" time="15.30" timestamp="2021-02-09T12:02:00" />
    <testcase classname="SwiftObjects" id="b88407c0-dc2c-40d2-b423-fef63056473f" name="list_objects_in_containers" time="11.94" timestamp="2021-02-09T12:02:17" />
    <testcase classname="SwiftObjects" id="51b83565-4797-4874-8134-338d84282f45" name="create_container_and_object_then_download_object" time="19.82" timestamp="2021-02-09T12:02:29" />
    <testcase classname="SwiftObjects" id="b92b07cd-ea1c-43de-a520-7567fdaa6d2d" name="create_container_and_object_then_delete_all" time="10.72" timestamp="2021-02-09T12:02:50" />
    <testcase classname="SwiftObjects" id="d0ac1696-234f-4faa-979f-3a3da934b8ac" name="list_and_download_objects_in_containers" time="12.26" timestamp="2021-02-09T12:03:02" />
  </testsuite>
  <testsuite errors="0" failures="0" id="e2bb29d5-d295-42de-8555-1ffa46f90795" skipped="0" tests="11" time="80.00" timestamp="2021-02-09T12:03:26">
    <testcase classname="BarbicanContainers" id="960ec5ef-f33c-41b2-ac46-44564d073f65" name="create_and_add" time="5.15" timestamp="2021-02-09T12:03:30" />
    <testcase classname="BarbicanContainers" id="b52a52b5-f8ae-4943-8f4e-907e5e35a2ed" name="create_certificate_and_delete" time="6.05" timestamp="2021-02-09T12:03:36" />
    <testcase classname="BarbicanContainers" id="f99d493c-882a-4c47-987b-8c74f5a88630" name="create_and_delete" time="5.39" timestamp="2021-02-09T12:03:43" />
    <testcase classname="BarbicanContainers" id="bbe2179e-7819-4827-881f-5c52f932d113" name="create_rsa_and_delete" time="4.94" timestamp="2021-02-09T12:03:49" />
    <testcase classname="BarbicanSecrets" id="66dc3dcc-b80b-4678-9f3c-567d822eca97" name="create_and_delete" time="5.55" timestamp="2021-02-09T12:03:55" />
    <testcase classname="BarbicanSecrets" id="b2017e24-bd9c-4146-95e2-b667a6f3e464" name="create_and_get" time="6.68" timestamp="2021-02-09T12:04:01" />
    <testcase classname="BarbicanSecrets" id="c5624d3f-b40f-4b03-b9dd-8cc5f7272266" name="create_and_list" time="6.65" timestamp="2021-02-09T12:04:09" />
    <testcase classname="BarbicanSecrets" id="5e4edba5-044a-4cef-96fd-c44c39a2223f" name="create" time="6.55" timestamp="2021-02-09T12:04:18" />
    <testcase classname="BarbicanSecrets" id="04be11f8-0a59-486a-9042-554bc9691a08" name="get" time="6.91" timestamp="2021-02-09T12:04:26" />
    <testcase classname="BarbicanContainers" id="a8c81ab5-0829-409e-be59-6eca980a0cec" name="list" time="4.86" timestamp="2021-02-09T12:04:34" />
    <testcase classname="BarbicanSecrets" id="a2b953bd-96c2-4f22-b7db-4517851b3dcb" name="list" time="4.82" timestamp="2021-02-09T12:04:40" />
  </testsuite>
</testsuites>
